<template>
    <div id="app">
        <header :class="{height192: !is_home}">
            <div class="header__body">
                <div class="header__column">
                    <nav>
                        <a href="#" @click="show_cart" :data-amount="cart_length" rel="nofollow">Корзина</a>
                        <a href="#" @click="show_part" rel="nofollow">Сделать заказ</a>
                    </nav>
                </div>
                <div class="header__column--logo">
                    <router-link :to="{name: 'home'}"><div class="icon-logo"></div></router-link>
                </div>
                <div class="header__column">
                    <div class="header__contacts" itemscope itemtype="http://schema.org/Organization">
                        <div><p itemprop="address">Красноярск, ул. Калинина 7Б<br><a href="mailto:info@atamamotors.ru" itemprop="email">info@atamamotors.ru</a></p></div>
                        <div><p itemprop="telephone"><a href="tel:+73912868298">+7 (391) 286–82–98</a><br><a href="tel:+73912095707">+7 (391) 209–57–07</a></p></div>
                    </div>
                </div>
                <slick class="slick__content" :options="slick_content_options" v-if="is_home">
                    <div><p class="slick__content--header">Большой выбор новых<br> и контрактных запчастей</p><p class="slick__content--text"><span class="slick__content--digit">12 000</span><span class="slick__content--description"> наименований <br>на складе</span></p></div>
                    <div><p class="slick__content--header">Техническое обслуживание<br> и расходные материалы</p><p class="slick__content--text">Замена моторного масла, коробки передач,<br> охлаждающей жидкости, замена агрегатов.</p></div>
                    <div><p class="slick__content--header">Ремонт вашего автомобиля, ДВС,<br> подвески с гарантией качества</p><p class="slick__content--text"><span class="slick__content--digit">10 000</span><span class="slick__content--description">километров <br>гарантия</span></p></div>
                    <div><p class="slick__content--header">Доставка ваших заказов<br> по городу Красноярск</p><p class="slick__content--text"><span class="slick__content--digit">500</span><span class="slick__content--description">рублей <br>стоимость доставки</span></p></div>
                </slick>
            </div>
            <slick class="slick__background" :options="slick_background_options" v-if="is_home">
                <div style="background-image: url('/img/bg1.jpg')"></div>
                <div style="background-image: url('/img/bg2.jpg')"></div>
                <div style="background-image: url('/img/bg3.jpg')"></div>
                <div style="background-image: url('/img/bg4.jpg')"></div>
            </slick>
        </header>
        <router-view/>
        <footer>
            <div class="footer__body">
                <nav>
                    <a>Отзывы</a>
                    <a><div class="icon-arrow-left" @click="mention_prev"></div></a>
                    <a><div class="icon-arrow-right" @click="mention_next"></div></a>
                </nav>
                <slick v-if="reviews.length" ref="mention" class="slick__mention" :options="slick_mention_options">
                    <div v-for="(review, index) in reviews" :key="index">
                        <div class="slick__mention--slide" @click="show_review(index)">
                            <time>{{review.date}}</time>
                            <div>
                                <strong>{{review.name}}</strong>
                                <p>{{review.text|truncate(180)}}</p>
                            </div>
                        </div>
                    </div>
                </slick>
                <div class="footer__hr"></div>
                <div class="footer__contacts">
                    <div class="footer__contacts--item"><div class="icon-logo-mini"></div></div>
                    <div class="footer__contacts--item"><p><strong>2006 — 2018</strong></p><a href="mailto:info@atamamotors.ru">info@atamamotors.ru</a></div>
                    <div class="footer__contacts--item" onclick="window.open('https://shaburakov.com')" rel="nofollow"><p>сайт <br>сделан</p></div>
                </div>
            </div>
        </footer>
        <sweet-modal :title="review.name" ref="review">
            <p>{{review.text}}</p>
            <br>
            <p><small>{{review.date}}</small></p>
        </sweet-modal>
        <sweet-modal icon="success" ref="success">
            <h3>Заказ успешно оформлен!</h3>
            <p>С вами свяжутся в ближайшее время.</p>
        </sweet-modal>
        <sweet-modal icon="error" ref="error">
            <h3>Произошла ошибка!</h3>
            <p>Попробуйте позже.</p>
        </sweet-modal>
        <Cart id="cart" :class="{'d-block': $store.state.cart.is_show}" />
        <CartOrder id="cart-confirm" :class="{'d-block': $store.state.cart.is_show_order}" />
        <PartOrder id="order" :class="{'d-block': $store.state.cart.is_show_part}" />
    </div>
</template>

<script>
  import Slick from 'vue-slick'
  import { SweetModal } from 'sweet-modal-vue'
  import { mapMutations, mapGetters } from 'vuex';
  import Cart from './components/Cart'
  import CartOrder from './components/CartOrder'
  import PartOrder from './components/PartOrder'

  export default {
    data: () => {
      return {
        slick_content_options: {
          responsive: true,
          dots: true,
          arrows: false,
          fade: true,
          slidesToShow: 1,
          slidesToScroll: 1,
          speed: 700,
          autoplaySpeed: 7000,
          autoplay: true,
          asNavFor: '.slick__background'
        },
        slick_background_options: {
          responsive: true,
          dots: false,
          arrows: false,
          slidesToShow: 1,
          slidesToScroll: 1,
          speed: 500,
          asNavFor: '.slick__content'
        },
        slick_mention_options: {
          responsive: true,
          dots: false,
          arrows: false,
          slidesToShow: 3,
          slidesToScroll: 1,
          infinite: false
        },
        reviews: [],
        review: {name: '', text: '', date: ''},
      }
    },
    computed: {
      ...mapGetters('cart', ['cart_length']),
      is_home: function () {
        return this.$route.name === 'home';
      }
    },
    methods: {
      ...mapMutations('cart', ['show_cart', 'show_part']),
      mention_next() {
        this.$refs.mention.next();
      },
      mention_prev() {
        this.$refs.mention.prev();
      },
      get_reviews() {
        fetch('https://yakudza.shub.in/reviews.json')
          .then(response => response.json())
          .then(data => { this.reviews = data; });
      },
      show_review(index) {
        this.review = this.reviews[index];
        this.$refs.review.open();
      }
    },
    components: {
      Slick,
      SweetModal,
      Cart,
      CartOrder,
      PartOrder
    },
    mounted() {
      this.get_reviews();
    }
  }
</script>

<style src="@/assets/css/normalize.css"></style>
<style src="@/assets/css/icons.css"></style>
<style src="@/assets/css/slick.css"></style>
<style src="@/assets/css/style.scss" lang="scss"></style>
